org.osgi.framework.wiring

## Interface BundleCapability

All Superinterfaces:
  Capability

All Known Implementing Classes:
  BundleCapabilityImpl

    @ProviderType
    public interface BundleCapability
    extends Capability

A capability that has been declared from a `bundle revision`.

Author:
  $Id: b4eb0df09a8354afdb46f013926f81f70f817f43 $

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,Object>` `getAttributes()` Returns the attributes of this capability.
`Map<String,String>` `getDirectives()` Returns the directives of this capability.
`String` `getNamespace()` Returns the namespace of this capability.
`BundleRevision` `getResource()` Returns the resource declaring this capability.
`BundleRevision` `getRevision()` Returns the bundle revision declaring this capability.

### Methods inherited from interface org.osgi.resource.Capability

`equals, hashCode`

### Method Detail

#### getRevision

    BundleRevision getRevision()

Returns the bundle revision declaring this capability.

Returns:
  The bundle revision declaring this capability.

#### getNamespace

    String getNamespace()

Returns the namespace of this capability.

Specified by:
  `getNamespace` in interface `Capability`
Returns:
  The namespace of this capability.

#### getDirectives

    Map<String,String> getDirectives()

Returns the directives of this capability.

All capability directives not specified by the `wiring namespaces` have no specified semantics and are considered extra user defined information.

Specified by:
  `getDirectives` in interface `Capability`
Returns:
  An unmodifiable map of directive names to directive values for this capability, or an empty map if this capability has no directives.

#### getAttributes

    Map<String,Object> getAttributes()

Returns the attributes of this capability.

Specified by:
  `getAttributes` in interface `Capability`
Returns:
  An unmodifiable map of attribute names to attribute values for this capability, or an empty map if this capability has no attributes.

#### getResource

    BundleRevision getResource()

Returns the resource declaring this capability.

This method returns the same value as `getRevision()`.

Specified by:
  `getResource` in interface `Capability`
Returns:
  The resource declaring this capability.
Since:
  1.1